Bug 117430 - lang/gcc42 building WITH_JAVA_AWT=yes is broken
Summary: lang/gcc42 building WITH_JAVA_AWT=yes is broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-23 17:30 UTC by Kyryll A Mirnenko
Modified: 2007-11-03 23:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kyryll A Mirnenko 2007-10-23 17:30:01 UTC
building lang/gcc42 WITH_JAVA_AWT=yes on 6.2 ends up with a linkage error:

..ranlib .libs/lib-gnu-awt-xlib.a
rm -fr .libs/lib-gnu-awt-xlib.lax
creating lib-gnu-awt-xlib.la
(cd .libs && rm -f lib-gnu-awt-xlib.la && ln -s ../lib-gnu-awt-xlib.la lib-gnu-awt-xlib.la)
/bin/sh ./libtool --tag=GCJ --mode=link /usr/ports/lang/gcc42/work/build/gcc/gcj -B/usr/ports/lang/gcc42/work/build/i386-portbld-freebsd6.2/libjava/ -B/usr/ports/lang/gcc42/work/build/gcc/ -L/usr/ports/lang/gcc42/work/build/i386-portbld-freebsd6.2/libjava -ffloat-store -fomit-frame-pointer -g -O2  -o jv-convert --main=gnu.gcj.convert.Convert -rpath /usr/local/lib/gcc-4.2.3 -shared-libgcc -pthread  -L/usr/ports/lang/gcc42/work/build/i386-portbld-freebsd6.2/libjava/.libs libgcj.la
/usr/ports/lang/gcc42/work/build/gcc/gcj -B/usr/ports/lang/gcc42/work/build/i386-portbld-freebsd6.2/libjava/ -B/usr/ports/lang/gcc42/work/build/gcc/ -ffloat-store -fomit-frame-pointer -g -O2 -o .libs/jv-convert --main=gnu.gcj.convert.Convert -shared-libgcc -pthread  -L/usr/ports/lang/gcc42/work/build/i386-portbld-freebsd6.2/libjava -L/usr/ports/lang/gcc42/work/build/i386-portbld-freebsd6.2/libjava/.libs ./.libs/libgcj.so -L/usr/ports/lang/gcc42/work/build/i386-portbld-freebsd6.2/libstdc++-v3/src -L/usr/ports/lang/gcc42/work/build/i386-portbld-freebsd6.2/libstdc++-v3/src/.libs -lz -L/usr/ports/lang/gcc42/work/build/./gcc -lgcc_s -lgcc_s -Wl,--rpath -Wl,/usr/local/lib/gcc-4.2.3
/usr/bin/ld: .libs/jv-convert: hidden symbol `__eprintf' in /usr/ports/lang/gcc42/work/build/./gcc/libgcc.a(_eprintf.o) is referenced by DSO
collect2: ld returned 1 exit status
gmake[3]: *** [jv-convert] Помилка 1
gmake[3]: Залишаю каталог "/usr/ports/lang/gcc42/work/build/i386-portbld-freebsd6.2/libjava"
gmake[2]: *** [all-recursive] Помилка 1
gmake[2]: Залишаю каталог "/usr/ports/lang/gcc42/work/build/i386-portbld-freebsd6.2/libjava"
gmake[1]: *** [all-target-libjava] Помилка 2
gmake[1]: Залишаю каталог "/usr/ports/lang/gcc42/work/build"
gmake: *** [bootstrap-lean] Помилка 2
*** Error code 2

How-To-Repeat: cd /usr/ports/lang/gcc42
make WITH_JAVA_AWT=yes
Comment 1 Edwin Groothuis freebsd_committer 2007-10-23 18:15:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gerald

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 gerald 2007-10-23 20:49:32 UTC
Do you have any older lang/gcc ports installed?  I'm mostly interested in 
lang/gcc295, but also others might be relevant.  My guess is the problem 
may go away once you remove those older versions.

Gerald
Comment 3 Gerald Pfeifer freebsd_committer 2007-10-29 12:36:22 UTC
State Changed
From-To: open->feedback

Waiting for feedback.
Comment 4 Kyryll A Mirnenko 2007-11-02 14:34:02 UTC
gcc-2.95.3_2 is installed. I'll test building without it, however i've moved 
to RELENG_7 now, so not sure if it the results will be "honest". Also, as far 
as I remember, this breakage was introduced just before 4.2 was updated to 
4.2.2 stable, before that  gcc-2.95.3_2 was installed too, but gcc42 building 
never failed.
Comment 5 dfilter service freebsd_committer 2007-11-03 12:31:45 UTC
gerald      2007-11-03 12:31:38 UTC

  FreeBSD ports repository

  Modified files:
    lang/gcc295          Makefile 
  Log:
  Add symmetric CONFLICTS with lang/gcc41, lang/gcc42, and lang/gcc43 which
  already conflict with this port.
  
  On the way, adjust the IGNORE statement to comply with our standards.
  
  PR:             117430 (partly)
  Approved by:    portmgr (erwin)
  
  Revision  Changes    Path
  1.111     +2 -1      ports/lang/gcc295/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Gerald Pfeifer freebsd_committer 2007-11-03 23:46:07 UTC
State Changed
From-To: feedback->closed

Thanks for your feedback, Kyryll!  gcc42 has a conflict with gcc295, and 
based on your report I now added the symmetric conflict with gcc4x to  
gcc295. 

The first CONFLICT was only added 2007/08/23, so you may have not seen 
this when first installing your original system, and the problems does 
not always surface.